Subject: bug#66604: [PATCH] Gud LLDB completions

From: Gerd Möllmann <[email-masked]>
Date: Wed, 18 Oct 2023 20:55:20 +0200

Gerd Möllmann <[email-masked]> writes:

> Mattias Engdegård <[email-masked]> writes:
>
>> 18 okt. 2023 kl. 17.23 skrev Gerd Möllmann <[email-masked]>:
>>
>>> Does the attached also work?  It would have the advantage of being more
>>> readable.  The Python part.
>>
>> Yes, it works.
>> A minor request is that if there is only a single completion, then a space should be added after completing the word. For example,
>>
>>   (lldb) sett<TAB>
>>
>> should add the 5 characters "ings " to the input.
>
> Yeah, that's right.
>
> Could ypu please try the attached patch?  This of works for me, but a
> bit unnerving its that Corfu pops up after tryping 3 character with a
> single candidate, but that's something I can live with, I guess.  Maybe
> it's even normal, now that i think of it.
>
> What completion are you using?

Meanwhile I've cleaned this up, and committed it to master.
Thanks to you again, Matthias!

And closing...